Subject: Re: bug#46257: 28.0.50; use flat-button in modus-operandi theme

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Tue, 2 Feb 2021 20:21:09 +0100

Hi Protesilaos,

the flat-button style is part of emacs28

Best, /PA

On Tue, 2 Feb 2021 at 19:46, Protesilaos Stavrou <[email-masked]>
wrote:

> On 2021-02-02, 13:24 +0000, "Basil L. Contovounesios" <[email-masked]>
> wrote:
>
> > Pedro Andres Aranda Gutierrez <[email-masked]> writes:
> >
> >> This diff provides an example for the use of the :style flat-button in
> the tab-line
> >> of the modus-operandi theme. I've kept the original code commented.
> >
> > Thanks, CCing Protesilao.
>
> Thanks Basil!
>
> Hello Pedro!
>
> That change looks good to me.  Please apply it wherever it would be
> appropriate.  And please do the same for the modus-vivendi theme.
>
> Now a question that is not pertinent to Emacs 28: does this flat-button
> degrade gracefully on older versions, say, 27?  The reason I am asking
> is because I will need to mirror any patch on my upstream repo; and I
> know that there are users who run the themes on older versions of Emacs.
>
> All the best,
> Protesilaos or "Prot"
>
> P.S. The version of the themes in Emacs is 0.13.0 while I currently have
> them at 1.1.1.  This is due to change at some point, per bug#45068:
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=45068>.
>
> --
> Protesilaos Stavrou
> protesilaos.com
>

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler